# FairMQ: fair::mq::shmem::Manager Class Reference

fair::mq::shmem::Manager Class Reference

## Public Member Functions

| Manager (const std::string &id, size_t size)
| Manager (const Manager &)=delete
Manager | operator= (const Manager &)=delete
boost::interprocess::managed_shared_memory & | Segment ()
boost::interprocess::managed_shared_memory & | ManagementSegment ()
void | Interrupt ()
void | Resume ()
bool | Interrupted ()
int | GetDeviceCounter ()
int | IncrementDeviceCounter ()
int | DecrementDeviceCounter ()
std::pair< boost::interprocess::mapped_region *, uint64_t > | CreateRegion (const size_t size, const int64_t userFlags, RegionCallback callback, const std::string &path="", int flags=0)
Region * | GetRegion (const uint64_t id)
Region * | GetRegionUnsafe (const uint64_t id)
void | RemoveRegion (const uint64_t id)
std::vector< fair::mq::RegionInfo > | GetRegionInfo ()
std::vector< fair::mq::RegionInfo > | GetRegionInfoUnsafe ()
void | SubscribeToRegionEvents (RegionEventCallback callback)
void | UnsubscribeFromRegionEvents ()
void | RegionEventsSubscription ()
void | RemoveSegments ()

## Static Public Member Functions

static void | StartMonitor (const std::string &)

## Friends

struct | Region

The documentation for this class was generated from the following files:

- fairmq/shmem/Manager.h
- fairmq/shmem/Manager.cxx

privacy